<div>
    <h2 id="page-heading">
        <span>Product Variant Groups</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product-variant-group" [routerLink]="['/product-variant-group/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Product Variant Group
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="productVariantGroups?.length === 0">
        <span>No productVariantGroups found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="productVariantGroups && productVariantGroups.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Shop Id</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Type</span></th>
                    <th scope="col" ><span>Images</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col" ><span>Product</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let productVariantGroup of productVariantGroups ;trackBy: trackId">
                    <td><a [routerLink]="['/product-variant-group', productVariantGroup.id, 'view']">{{ productVariantGroup.id }}</a></td>
                    <td>{{ productVariantGroup.shopId }}</td>
                    <td>{{ productVariantGroup.name }}</td>
                    <td>{{ productVariantGroup.type }}</td>
                    <td>{{ productVariantGroup.images }}</td>
                    <td>{{ productVariantGroup.active }}</td>
                    <td>
                        <div *ngIf="productVariantGroup.product">
                            <a [routerLink]="['/product', productVariantGroup.product?.id, 'view']" >{{ productVariantGroup.product?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/product-variant-group', productVariantGroup.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/product-variant-group', productVariantGroup.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(productVariantGroup)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
